Skip to Content

PATCH Invoices

Gebruik dit endpoint om bestaande invoices bij te werken.

Gebruikersniveau: Gevorderd

Endpoint

PATCH /v1/{scopeId}/invoices/{id}
EigenschapWaarde
MethodPATCH
Scope IDBranch UUID
AuthenticatieAuthorization: Bearer <access_token>
Vereiste scoperoutix:invoices:write
Content-Typeapplication/json
Request bodyJSON object

Update-regels

  • De API controleert server-side of het record binnen de toegestane organization en branch valt.
  • Alleen expliciet toegestane velden mogen worden bijgewerkt.
  • Onbekende of niet-toegestane velden geven 400 invalid_update.

Toegestane updatevelden

Veld
invoice_type
customer_id
customer_name
invoice_date
due_date
total_amount
status

Voorbeeldrequest

curl -X PATCH "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/invoices/4de04b2e-f6db-4d9e-8cf4-72b3818c8b0f" \ -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..." \ -H "Content-Type: application/json" \ -d '{ "status": "sent", "due_date": "2026-08-01" }'

Voorbeeldresponse

{ "data": { "id": "4de04b2e-f6db-4d9e-8cf4-72b3818c8b0f", "invoice_type": "sales", "customer_id": "7ecf4b8d-8d1f-4a0f-8e57-6d8f14c6a221", "customer_name": "Acme Transport B.V.", "invoice_date": "2026-07-05", "due_date": "2026-08-01", "total_amount": 1450, "status": "sent" }, "version": "v1" }

Foutresponse

{ "error": "invalid_update", "error_description": "One or more fields are not allowed for updates on invoices" }

Mogelijke foutcodes

  • 400 invalid_request
  • 400 invalid_update
  • 401 unauthorized
  • 401 invalid_token
  • 403 invalid_token_type
  • 403 insufficient_scope
  • 404 not_found
  • 405 method_not_allowed

Gerelateerde pagina’s

  • API calls en voorbeelden
  • Setup guide
Last updated on